%define name sqlguipgsql
%define version 0.1.1
%define release %mkrel 10
%define qtdir /usr/lib/qt3
%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: 	Graphical database-frontend for KDE
Name: 		%name
Version: 	%version
Release: 	%release
License:	BSD
URL:		http://www.sqlgui.org/
Group: 		Databases
Source: 	http://www.sqlgui.de/download/%{name}-%{version}.tar.bz2
Patch0:		%{name}-namespace.patch
Buildroot:  %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	qt3-devel kdelibs-devel postgresql-devel

%description
PostgresSQL-plugin for SqlGui

%package -n %libname
Summary:    Graphical database-frontend for KDE
Group:      Databases
Provides:	lib%name = %version-%release

%description -n %libname
PostgresSQL-plugin for SqlGui

%package -n %develname
Summary:    Graphical database-frontend for KDE
Group:      Development/Other
Provides:   lib%name-devel = %version-%release
Requires:   %libname = %version-%release
Obsoletes:  %mklibname -d %name 0
Provides:   sqlgui-lib

%description -n %develname
PostgresSQL-plugin for SqlGui
This package contain development files

%prep
%setup -q
%patch0 -p1 -b .stdout

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC" CXXFLAGS="$RPM_OPT_FLAGS -fPIC" KDELIB=%_includedir \
./configure --prefix=%{_prefix}  --with-qt-dir=%{qtdir} --libdir=%{_libdir} \
            --with-extra-libs=%_libdir/pgql  --with-extra-includes=/usr/include/pgsql

%make

%install

%makeinstall_std

#exec_prefix=%buildroot/%_libdir

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%doc README COPYING TODO INSTALL AUTHORS
%{_libdir}/libsqlguipgsql-%version.so

%files -n %develname
%defattr(-,root,root)
%doc README COPYING TODO INSTALL AUTHORS
%{_libdir}/libsqlguipgsql.so
%{_libdir}/lib*.la
%dir %{_includedir}/sqlguipgsql/
%{_includedir}/sqlguipgsql/*.h





%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1.1-10mdv2008.1
+ Revision: 171121
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Funda Wang <fundawang@mandriva.org> 0.1.1-9mdv2008.1
+ Revision: 139461
- New devel package policy

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-8mdv2008.0
+ Revision: 90273
- rebuild


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-7mdv2007.0
+ Revision: 108766
- rebuild

* Mon Jul 17 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-6mdv2007.0
+ Revision: 41335
- rebuild
- Import sqlguipgsql

* Sun May 08 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-5mdk
- fix 64bits build

* Wed Jun 16 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.1-4mdk
- birthday rebuild

* Mon Apr 05 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.1-3mdk
- Birthday rebuild

